using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class CmPosition {
        public CmPosition() {
            CmUser = new HashSet<CmUser>();
        }

        [Display(Name = "직급 코드"), Key]
        public int PositionId { get; set; }
        [Display(Name = "직급 코드 명"), Required]
        [StringLength(40)]
        public string Name { get; set; }
        [Display(Name = "순서")]
        public int Position { get; set; }
        [Display(Name = "사용 유무")]
        public bool? IsUse { get; set; }

        [InverseProperty("CmPosition")]
        public virtual ICollection<CmUser> CmUser { get; set; }
    }
}
